=== debian/changelog ===
ros-foxy-rosidl-generator-c (1.3.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosidl-generator-c (1.3.0-1focal) focal; urgency=high

  * Fix a cpplint allocator regression (#590 <https://github.com/ros2/rosidl/issues/590>)
  * Use rcutils allocators in rosidl_generator_c (#584 <https://github.com/ros2/rosidl/issues/584>)
  * Implement equality operator function for C messages. (#648 <https://github.com/ros2/rosidl/issues/648>) (#667 <https://github.com/ros2/rosidl/issues/667>)
  * Implement copy function for C messages (#650 <https://github.com/ros2/rosidl/issues/650>) (#667 <https://github.com/ros2/rosidl/issues/667>)
  * Contributors: Chris Lalancette, Michel Hidalgo, Nikolai Morin, Pablo Garrido

 -- William Woodall <william@osrfoundation.org>  Tue, 20 Sep 2022 00:00:00 -0000

ros-foxy-rosidl-generator-c (1.2.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-rosidl-generator-c (1.2.0-1focal) focal; urgency=high

  * Strip action service suffixes from C include prefix (#538 <https://github.com/ros2/rosidl/issues/538>) (#539 <https://github.com/ros2/rosidl/issues/539>)
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-rosidl-generator-c (1.1.0-1focal) focal; urgency=high

  * Do not depend on rosidl_runtime_c when tests are disabled (#503 <https://github.com/ros2/rosidl/issues/503>)
  * Contributors: Ben Wolsieffer

 -- William Woodall <william@osrfoundation.org>  Mon, 17 Aug 2020 00:00:00 -0000

ros-foxy-rosidl-generator-c (1.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosidl-generator-c (1.0.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 22 May 2020 00:00:00 -0000

ros-foxy-rosidl-generator-c (0.9.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-foxy-rosidl-generator-c (0.9.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-rosidl-generator-c (0.9.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#473 <https://github.com/ros2/rosidl/issues/473>)
  * Move non-entry point headers into detail subdirectory (#461 <https://github.com/ros2/rosidl/issues/461>)
  * Rename rosidl_generator_c 'namespace' to rosidl_runtime_c (#458 <https://github.com/ros2/rosidl/issues/458>)
  * Only export ament_cmake_core instead of ament_cmake (#459 <https://github.com/ros2/rosidl/issues/459>)
  * Split rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Added rosidl_generator_c as a member of group rosidl_runtime_packages (#440 <https://github.com/ros2/rosidl/issues/440>)
  * Style update to match uncrustify with explicit language (#439 <https://github.com/ros2/rosidl/issues/439>)
  * Code style only: wrap after open parenthesis if not in one line (#435 <https://github.com/ros2/rosidl/issues/435>)
  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Move repeated logic for C include prefix into common function (#432 <https://github.com/ros2/rosidl/issues/432>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-foxy-rosidl-generator-c (0.8.2-1focal) focal; urgency=high

  * Fix double free issue when initialization is failed (#423 <https://github.com/ros2/rosidl/issues/423>)
  * Contributors: DongheeYe

 -- William Woodall <william@osrfoundation.org>  Fri, 17 Jan 2020 00:00:00 -0000

ros-foxy-rosidl-generator-c (0.8.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rosidl-generator-c (0.8.0-1focal) focal; urgency=high

  * [rosidl_generator_c] Updated tests for new msg types from test_interface_files (#398 <https://github.com/ros2/rosidl/issues/398>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * Set _FOUND to trick ament_target_dependencies() for test (#396 <https://github.com/ros2/rosidl/issues/396>)
  * Contributors: Dirk Thomas, Shane Loretz, Siddharth Kucheria

 -- William Woodall <william@osrfoundation.org>  Tue, 24 Sep 2019 00:00:00 -0000
