=== debian/control ===
Source: ros-foxy-rosidl-generator-c
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-python, ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-rosidl-cmake <!nocheck>, ros-foxy-rosidl-runtime-c <!nocheck>, ros-foxy-test-interface-files <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosidl-generator-c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-cmake-core, ros-foxy-rcutils, ros-foxy-rosidl-cmake, ros-foxy-rosidl-parser, ros-foxy-rosidl-typesupport-interface, ros-foxy-ros-workspace
Description: Generate the ROS interfaces in C.
